Subject: Re: procmail output file format.
From: Thomas Baker <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Mon, 10 Jun 2002 21:11:00 +0200

I am finding exactly what Jason found -- when I add a "-f"
argument to /usr/bin/procmail (under Cygwin), everything fails
because it suddenly wants to access /home/Administrator.
This reminds me of another little quirk that has been
bothering me: about one time in ten, when I "reply" in Mutt
-- and I haven't been able to tell under which particular
circumstances -- the message comes up with my name expanded
to "Administrator\\MyMachine" (or something like that) and
I have to replace this manually with "Thomas Baker".

Anyway, several solutions were suggested:

1) A simple .procmailrc at /home/Administrator that says:
	INCLUDERC=[pathname];

2) Removing /home/Administrator and making it a "simulink"
   (a "symbolic link"?) to a home directory;

3) Change /home/Administrator to something else in /etc/passwd.

Jason had good experience with #2 (still, two weeks later?),
but messing with Cygwin's /home/Administrator makes me nervous
about unforeseen dire consequences.  What is the role of the
(presumably WIN2000) Administrator under Cygwin?  Maybe it's
just "symbolic"?  Has anyone tried solutions #1 and #3?

Tom

On Thu, May 30, 2002 at 04:40:24PM -0400, Jason House wrote:
> Nice solution :) I like it.
> 
> Removing /home/Administrator and making it a simulink to my desired home
> works perfectly.  It is also a very easy thing to recreate in the event
> of a full restore...  I also allows me to remove my hacks to avoid using
> $HOME.
> 
> Now I get to hunt down a good .muttrc file :)
> 
> Heribert Dahms wrote:
> > 
> > Hi Jason(s),
> > 
> > did you try a symlink?
> > You might even store a script to recreate that in your backuped area 8-)
> > 
> > Bye, Heribert ([email-masked])
> > 
> > > -----Original Message-----
> > > From: Jason House [SMTP:[email-masked]]
> > > Sent: Thursday, May 30, 2002 22:21
> > > To:   Jason Tishler
> > > Cc:   [email-masked]
> > > Subject:      Re: procmail output file format.
> > >
> >         [Heribert]  [snip]
> > 
> > > Something like having /home/Administrator/.procmailrc simply say "use
> > > /Docume~1/jhouse/MyDocu~1/UnixHome/.procmailrc" would be better since it
> > > guarantees that it won't get deleted after it grows in complexity.
> > >
> >         [Heribert]  [snip]
> 
> 
> --
> Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
> Bug reporting:         http://cygwin.com/bugs.html
> Documentation:         http://cygwin.com/docs.html
> FAQ:                   http://cygwin.com/faq/

-- 
Dr. Thomas Baker                                [email-masked]
Institutszentrum Schloss Birlinghoven          mobile +49-171-408-5784
Fraunhofer-Gesellschaft                          work +49-30-8109-9027
53754 Sankt Augustin, Germany                     fax +49-2241-14-2619

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/